Вопрос библиотеки lv2 и lv2-dev или их эквиваленты


Я компилирую ardour3 из источника, и насколько я могу судить, у меня есть все библиотеки, упомянутые в http://ardour.org/building_ardour3

К сожалению, запущенный ./waf configure дает следующую ошибку

Checking for 'lv2' >= 1.0.0                          : not found

У меня установлены следующие пакеты, которые выглядят полезными, но, похоже, не помогают:

i   lv2-c++-tools                   - library and tools for LV2 plugins         
i   lv2-extensions-good             - LV2 extensions from the "good" set        
i A lv2core                         - LV2 audio plugin specification            
i   lv2fil                          - Stereo and mono LV2 plugins, four-band par
i   lv2file                         - Command-line program to apply LV2 effects 
i   lv2proc                         - command line effect processor             
i   lv2vocoder                      - LV2 vocoder plugin 

Где я могу найти эту библиотеку. Я в порядке с его компиляцией.

По-видимому, в SID есть пакет: http://packages.debian.org/sid/lv2-dev Я постараюсь получить это через некоторое время

Исходный код может быть отправлен через subversion:

svn co http://subversion.ardour.org/svn/ardour2/branches/3.0


1
2017-07-10 14:58


происхождения


Nate: см. Отредактированный ответ для рабочего решения. Кажется, ardor хочет, чтобы последние версии были созданы из источника. - ish


ответы:


Ардор хочет последнего унифицированный версии lv2, который был выпущен только 18 апреля 2012 года и пока недоступен в каких-либо репозиториях. Вы должны скачать и построить его из источника:

  1. Скачать http://lv2plug.in/spec/lv2-1.0.0.tar.bz2, извлечь и ввести исходный каталог.
  2. ./waf configure && ./waf build && sudo ./waf install должен сделать трюк.

WAF для Ardor также спросит вас о последних версиях следующих зависимостей, которые вы можете скачать из приведенных ниже URL-адресов и построить / установить, как указано выше. Обратите внимание, что drobilla.net сервер иногда отключен, и в этом случае просто google имена файлов, и вы получите альтернативные серверы загрузки.

  1. http://download.drobilla.net/serd-0.14.0.tar.bz2
  2. http://download.drobilla.net/sord-0.8.0.tar.bz2
  3. http://download.drobilla.net/sratom-0.2.0.tar.bz2
  4. http://download.drobilla.net/lilv-0.14.2.tar.bz2
  5. http://download.drobilla.net/suil-0.6.4.tar.bz2

3
2017-07-10 15:07



У меня уже были все установленные, кроме lv2proc. Добавление этого не улучшило ситуацию. Я редактирую свой оригинальный пост, чтобы содержать эту информацию. - N8tron
@NateIverson: пожалуйста, напишите непосредственный ссылку на источник. - ish
@ Я получил ссылку через подрывную деятельность, я отредактирую ее в исходное сообщение - N8tron